Imagick::raiseImage
Imagick::readImage
The Imagick class
PHP Manual

# Imagick::randomThresholdImage

(PECL imagick 2.0.0)

Imagick::randomThresholdImage — Creates a high-contrast, two-color image

### Description

bool Imagick::randomThresholdImage ( float `$low` , float `$high` [, int `$channel` = Imagick::CHANNEL_ALL ] )

Changes the value of individual pixels based on the intensity of each pixel compared to threshold. The result is a high-contrast, two color image. This method is available if Imagick has been compiled against ImageMagick version 6.2.9 or newer.

### Parameters

`low`

  The low point

`high`

  The high point

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channeltype constants using bitwise operators. Defaults to `Imagick::CHANNEL_ALL`. Refer to this list of channel constants.

### Return Values

Returns `TRUE` on success.

Imagick::raiseImage
Imagick::readImage
The Imagick class
PHP Manual